org.eclipse.eef.properties.ui.internal.page

## Class EEFTabbedPropertyRegistryClassSectionFilter

- java.lang.Object
- - org.eclipse.eef.properties.ui.internal.page.EEFTabbedPropertyRegistryClassSectionFilter

    public class EEFTabbedPropertyRegistryClassSectionFilter
    extends java.lang.Object

Provides a section filtering mechanism where the selection is an IStructuredSelection and filtering is based on class.

### Constructor Summary

Constructors
Constructor and Description
`EEFTabbedPropertyRegistryClassSectionFilter(IEEFTypeMapper typeMapper)` The constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `appliesToSelection(IEEFSectionDescriptor descriptor, org.eclipse.jface.viewers.ISelection selection)` Verifies if the property section extension represented by sectionElement applies to the given input.
`protected java.util.List<java.lang.String>` `getClassTypes(java.lang.Class<?> target)` Returns the classes and interfaces the given target class extends/implements.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### EEFTabbedPropertyRegistryClassSectionFilter

    public EEFTabbedPropertyRegistryClassSectionFilter(IEEFTypeMapper typeMapper)

The constructor.

Parameters:
  `typeMapper` - The type mapper

### Method Detail

#### appliesToSelection

    public boolean appliesToSelection(IEEFSectionDescriptor descriptor,
                                      org.eclipse.jface.viewers.ISelection selection)

Verifies if the property section extension represented by sectionElement applies to the given input.

Parameters:
  `descriptor` - the section descriptor.
  `selection` - the selection.
Returns:
  `true` if this section applies to the current selection.

#### getClassTypes

    protected java.util.List<java.lang.String> getClassTypes(java.lang.Class<?> target)

Returns the classes and interfaces the given target class extends/implements.

Parameters:
  `target` - The target
Returns:
  The name of classes and interfaces implemented and extended by the given class.